%if 0%{?fedora}
%global with_python3 1
%endif

%global srcname characteristic

Name:           python-%{srcname}
Version:        14.3.0
Release:        %mkrel 1
Summary:        Python library that eases the chores of implementing attributes
Group:		Development/Python
License:        MIT
URL:            https://github.com/hynek/characteristic/
Source0:        https://pypi.python.org/packages/source/c/%{srcname}/%{srcname}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description
Say 'yes' to types but 'no' to typing!

characteristic is a Python package with class decorators that ease the chores
of implementing the most common attribute-related object protocols.

You just specify the attributes to work with and ``characteristic`` gives you:

- a nice human-readable ``__repr__``,
- a complete set of comparison methods,
- and a kwargs-based initializer (that cooperates with your existing one)

*without* writing dull boilerplate code again and again.

So put down that type-less data structures and welcome some class into your
life!



%package -n python3-%{srcname}
Group:	Development/Python
Summary: Python library that eases the chores of implementing attributes

%description -n python3-%{srcname}
Say 'yes' to types but 'no' to typing!

characteristic is a Python package with class decorators that ease the chores
of implementing the most common attribute-related object protocols.

You just specify the attributes to work with and ``characteristic`` gives you:

- a nice human-readable ``__repr__``,
- a complete set of comparison methods,
- and a kwargs-based initializer (that cooperates with your existing one)

*without* writing dull boilerplate code again and again.

So put down that type-less data structures and welcome some class into your
life!
\
%prep
%setup -q -n %{srcname}-%{version}
# Remove bundled egg-info
rm -rf %{srcname}.egg-info

cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
rm -rf %buildroot

pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.rst LICENSE

%{python_sitelib}/%{srcname}.py*
%{python_sitelib}/test_characteristic.py
%{python_sitelib}/%{srcname}-%{version}-py%{python_version}.egg-info

%files -n python3-%{srcname}
%doc README.rst LICENSE

%{python3_sitelib}/%{srcname}.py
%{python3_sitelib}/test_characteristic.py
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info

%changelog
* Sun Sep 13 2015 bb <bb> 14.3.0-1pclos2015
- update
